package domain


type AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo struct {
    /*
        业务子订单编码     */
    BizSubOrderId  *int64 `json:"biz_sub_order_id,omitempty" `

    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" `

    /*
        销售单位拣货数量 PICKED/PACKAGED状态必填     */
    PickSaleQuantity  *string `json:"pick_sale_quantity,omitempty" `

    /*
        库存单位拣货数量 PICKED/PACKAGED状态必填     */
    PickStockQuantity  *string `json:"pick_stock_quantity,omitempty" `

}

func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo) SetBizSubOrderId(v int64) *AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo {
    s.BizSubOrderId = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo) SetSkuCode(v string) *AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo {
    s.SkuCode = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo) SetPickSaleQuantity(v string) *AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo {
    s.PickSaleQuantity = &v
    return s
}
func (s *AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo) SetPickStockQuantity(v string) *AlibabaAelophyOrderWorkCallbackWorkCallbackSubOrderInfo {
    s.PickStockQuantity = &v
    return s
}
